## flatpak 1.14.1

=== debian/changelog ===
flatpak (1.14.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
  * d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
    Drop patch, applied upstream

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 14:40:49 +0000

flatpak (1.14.1-1) unstable; urgency=medium

  * New upstream stable release
  * Remove obsolete maintscript entries
  * Avoid explicitly specifying -Wl,--as-needed linker flag, which is
    the default with newer toolchains

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Nov 2022 13:45:56 +0000

flatpak (1.14.0-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
    - d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
      Add patch from upstream git to fix FTBFS with GLib 2.66.x

 -- Simon McVittie <smcv@debian.org>  Wed, 28 Sep 2022 11:17:36 +0100

flatpak (1.14.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/control, d/gbp.conf: Adjust git branch for bullseye-backports
    - d/p/uri-Don-t-do-scheme-based-normalization-with-GLib-2.66.x.patch:
      Add patch from upstream git to fix FTBFS with GLib 2.66.x

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Sep 2022 17:22:39 +0100

flatpak (1.12.7-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Mon, 14 Mar 2022 19:07:24 +0000

flatpak (1.12.6-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Feb 2022 15:58:59 +0000

flatpak (1.12.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 23:03:11 +0000

flatpak (1.12.4-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Simon McVittie <smcv@debian.org>  Wed, 19 Jan 2022 22:46:37 +0000

flatpak (1.12.3-1~bpo11+1) bullseye-backports; urgency=high

  * Rebuild for bullseye-backports
    - Not waiting for testing migration due to security fixes

 -- Simon McVittie <smcv@debian.org>  Wed, 12 Jan 2022 13:34:15 +0000

flatpak (1.12.2-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
    - d/control: Relax libseccomp build-dependency to 2.5.0
    - d/gbp.conf: Adjust for bullseye-backports

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Oct 2021 10:30:38 +0100

flatpak (1.12.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports
    - In particular, this backport allows the Flatpak version of Steam
      to run Windows games using a recent official version of Proton,
      which was not possible in 1.10.x.
  * d/control: Relax libseccomp build-dependency to 2.5.0.
    This is not sufficient to block mount_setattr(), but it should be
    sufficient to block clone3(), which is believed to be enough to
    prevent CVE-2021-41133.
  * d/gbp.conf: Adjust for bullseye-backports

 -- Simon McVittie <smcv@debian.org>  Mon, 11 Oct 2021 10:51:49 +0100
