=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev (>= 2.5.2),
+ libseccomp-dev (>= 2.5.0),
  libsystemd-dev,
  libxau-dev,
  libxml2-dev (>= 2.4),
@@ -62,7 +62,7 @@
  libostree-doc,
 Standards-Version: 4.6.1
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye-backports
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no
