=== debian/control ===
--- 
+++ 
@@ -41,7 +41,7 @@
  libostree-dev (>= 2020.8),
  libpolkit-agent-1-dev,
  libpolkit-gobject-1-dev,
- libseccomp-dev (>= 2.5.0),
+ libseccomp-dev (>= 2.5.2),
  libsystemd-dev,
  libxau-dev,
  libxml2-dev (>= 2.4),
@@ -60,9 +60,9 @@
 Build-Depends-Indep:
  libglib2.0-doc,
  libostree-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://flatpak.org/
-Vcs-Git: https://salsa.debian.org/debian/flatpak.git -b debian/bullseye-backports
+Vcs-Git: https://salsa.debian.org/debian/flatpak.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak
 Rules-Requires-Root: no
