## flatpak 1.14.6

=== debian/changelog ===
flatpak (1.14.6-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Access outside sandbox
    - debian/patches/CVE-2024-42472-1.patch: don't follow symlinks when
      mounting persisted directories in common/flatpak-context.c.
    - debian/patches/CVE-2024-42472-2.patch: add test coverage for --persist
      in test/test-run.sh.
    - debian/patches/CVE-2024-42472-3.patch: add --bind-fd and --ro-bind-fd to
      subprojects/bubblerap.c.
    - debian/control: makes flatpak depend on bubblerap with --bind-fd feature
      backported to avoid race condition (LP: #2077087)
    - CVE-2024-42472

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 23 Sep 2024 15:35:49 -0300

flatpak (1.14.6-1) unstable; urgency=high

  * New upstream stable release 1.14.6
    - Don't allow an executable name to be misinterpreted as a command-line
      option for bwrap(1). This prevents a sandbox escape where a malicious
      or compromised app could ask xdg-desktop-portal to generate a .desktop
      file with access to files outside the sandbox. (CVE-2024-32462)
    - Don't parse `<developer><name/></developer>` as the application name
  * d/control: Drop alternative dependencies on transitional policykit-1.
    polkitd was released in Debian 12 and Ubuntu 22.04.

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Apr 2024 19:34:28 +0100

flatpak (1.14.5-1) unstable; urgency=medium

  * New upstream stable release
  * Drop patches cherry-picked in 1.14.4-2, applied upstream
  * d/flatpak.install: Install new tmpfiles.d snippet
  * d/test.sh: Disable http proxy if used, to ensure we can reach localhost.
    Some reproducible.org builders set http_proxy, which makes attempts
    to access our temporary http server on localhost fail with a 503 error.
  * d/control: (Build-)depend on pkgconf in preference to pkg-config
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
    (Helps: #1030223)
  * d/control: Build-depend on required GIR XML files (Helps: #1030223)
  * Install systemd system unit into /usr/lib/systemd/system.
    This was allowed by TC resolution #1053901.
    Build-depend on debhelper 13.11.6~ to ensure that the unit is still
    picked up by dh_installsystemd.

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Dec 2023 12:25:50 +0000
