=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -9,15 +10,18 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  ca-certificates <!nocheck>,
  dbus-daemon,
+ debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3 <!nocheck>,
+ gir1.2-gio-2.0-dev,
+ gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
  gobject-introspection (>= 1.54.1-2~),
  gtk-doc-tools,
@@ -48,7 +52,8 @@
  libxml2-utils,
  libzstd-dev,
  ostree (>= 2020.8) <!nocheck>,
- polkitd <!nocheck> | policykit-1 <!nocheck>,
+ pkgconf,
+ polkitd <!nocheck>,
  procps,
  python3:any,
  python3-pyparsing,
@@ -70,7 +75,7 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  default-dbus-system-bus | dbus-system-bus,
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
@@ -83,7 +88,7 @@
  gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
- polkitd | policykit-1,
+ polkitd,
  shared-mime-info,
  xdg-desktop-portal (>= 1.6),
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
@@ -164,8 +169,9 @@
  libglib2.0-dev,
  libostree-dev (>= 2020.8),
  libxml2-dev (>= 2.4),
- pkg-config,
+ pkgconf,
  python3:any,
+ ${gir:Depends},
  ${misc:Depends},
 Recommends:
  flatpak,
@@ -174,6 +180,8 @@
  ostree,
  python3-gi,
  systemd-coredump,
+Provides:
+ ${gir:Provides},
 Description: Application deployment framework for desktop apps (development)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -201,7 +209,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.9.0-1ubuntu0.1),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
