=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: flatpak
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Matthias Klumpp <mak@debian.org>,
  Simon McVittie <smcv@debian.org>,
@@ -10,18 +9,15 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.9.0-1ubuntu0.1),
+ bubblewrap (>= 0.5.0),
  ca-certificates <!nocheck>,
  dbus-daemon,
- debhelper (>= 13.11.6~),
  debhelper-compat (= 13),
  desktop-file-utils <!nocheck>,
  dh-exec (>= 0.23~),
  docbook-xml <!nodoc>,
  docbook-xsl <!nodoc>,
  fuse3 <!nocheck>,
- gir1.2-gio-2.0-dev,
- gir1.2-gobject-2.0-dev,
  gnupg <!nocheck>,
  gobject-introspection (>= 1.54.1-2~),
  gtk-doc-tools,
@@ -52,8 +48,7 @@
  libxml2-utils,
  libzstd-dev,
  ostree (>= 2020.8) <!nocheck>,
- pkgconf,
- polkitd <!nocheck>,
+ polkitd <!nocheck> | policykit-1 <!nocheck>,
  procps,
  python3:any,
  python3-pyparsing,
@@ -75,20 +70,20 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.9.0-1ubuntu0.1),
- default-dbus-system-bus | dbus-system-bus,
+ bubblewrap (>= 0.5.0),
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
  ca-certificates,
+ default-dbus-system-bus | dbus-system-bus,
  desktop-file-utils,
  hicolor-icon-theme,
  gtk-update-icon-cache,
  libpam-systemd,
  p11-kit,
- polkitd,
+ polkitd | policykit-1,
  shared-mime-info,
  xdg-desktop-portal (>= 1.6),
  xdg-desktop-portal-gtk (>= 1.6) | xdg-desktop-portal-backend,
@@ -169,9 +164,8 @@
  libglib2.0-dev,
  libostree-dev (>= 2020.8),
  libxml2-dev (>= 2.4),
- pkgconf,
+ pkg-config,
  python3:any,
- ${gir:Depends},
  ${misc:Depends},
 Recommends:
  flatpak,
@@ -180,8 +174,6 @@
  ostree,
  python3-gi,
  systemd-coredump,
-Provides:
- ${gir:Provides},
 Description: Application deployment framework for desktop apps (development)
  Flatpak installs, manages and runs sandboxed desktop application bundles.
  See the flatpak package for a more comprehensive description.
@@ -209,7 +201,7 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.9.0-1ubuntu0.1),
+ bubblewrap (>= 0.5.0),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
