## flatpak 1.14.10

=== debian/changelog ===
flatpak (1.14.10-1~deb12u1) bookworm-security; urgency=high

  * Backport upstream stable release into Debian 12 (CVE-2024-42472)
  * d/control: Relax required bubblewrap version to 0.8.0-2+deb12u1.
    This version has a backport of the required --bind-fd option.
  * Other changes relative to 1.14.10-1 in unstable:
    - Revert polkitd dependencies to polkitd | policykit-1 as previously
      used in bookworm
    - Revert pkgconf dependencies to pkg-config as previously used in
      bookworm
    - Revert location of systemd unit to /lib/systemd/system as previously
      used in bookworm, dropping versioned dependency on debhelper 13.11.6~
    - Revert changes related to Debian 13 GIR XML packaging policy

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 15:49:20 +0100

flatpak (1.14.10-1) unstable; urgency=high

  * New upstream stable release
    - Don't follow symbolic links when mounting persistent directories
      (--persist option). This prevents a sandbox escape where a malicious
      or compromised app could edit the symlink to point to a directory
      that the app should not have been allowed to read or write.
      (CVE-2024-42472, GHSA-7hgv-f2j8-xw87)
  * d/control: Bump required bubblewrap version to 0.10.0.
    This adds the new --bind-fd option, required to solve CVE-2024-42472
    without introducing a race condition.

 -- Simon McVittie <smcv@debian.org>  Wed, 14 Aug 2024 15:03:33 +0100
