=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  attr <!nocheck>,
  automake (>= 1.14.1),
  bison,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  ca-certificates <!nocheck>,
  dbus-daemon,
  debhelper-compat (= 13),
@@ -70,7 +71,8 @@
 Architecture: linux-any
 Depends:
  adduser,
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  fuse3,
  xdg-dbus-proxy (>= 0.1.0),
  ${misc:Depends},
@@ -201,7 +203,8 @@
 Architecture: linux-any
 Section: libs
 Depends:
- bubblewrap (>= 0.5.0),
+ bubblewrap (>= 0.8.0-2+deb12u1~),
+ bubblewrap (<< 0.8.1~) | bubblewrap (>= 0.10.0~),
  ${misc:Depends},
  ${shlibs:Depends},
 Pre-Depends:
